Returns a JWT along with other information for use in successive calls to our apps and APIs.

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
POST /v1/login

If the clientId property is not passed in, and the user is only attached to one client, that client will be returned in the JWT. If it is not passed in and the user is attached to multiple clients, then no client information will be passed back in the JWT.

application/json

Body Required

  • emailAddress string(email) Required

    The email address for the user's account.

  • password string Required

    The user's password.

  • clientId string

    Penderis code for brokerWOLF logins. Extranet or penderis code for WOLFconnect logins. If not passed and the user belongs to only one client, that client is returned in the JWT. If the user belongs to multiple clients and this is not passed, no client information is included in the JWT.

Responses

  • 200 application/json

    Login successful.

    Hide response attributes Show response attributes object
    • token string

      The JSON Web Token to use in the Authorization header for all requests to any API.

    • expiresIn integer(int32)

      The number of seconds in which the token will expire.

  • 400 application/json

    Invalid request. See response body for details.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 500 application/json

    Unknown error. See response body for details.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
POST /v1/login
curl \
 --request POST 'http://api.example.com/v1/login' \
 --header "Content-Type: application/json" \
 --data '{"emailAddress":"user@example.com","password":"string","clientId":"string"}'
Request example
{
  "emailAddress": "user@example.com",
  "password": "string",
  "clientId": "string"
}
Response examples (200)
{
  "token": "string",
  "expiresIn": 3600
}
Response examples (400)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}
Response examples (500)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}